---
# defaults file for unattended-upgrades

# You should put variables in a group_vars/* or host_vars/* file and keep this
# file unchanged

uu_packages:
  - 'unattended-upgrades'

# apt-daily-upgrade.timer parameters
# uu_timer_oncalendar: '*-*-* 6:00'
# uu_timer_randomizeddelaysec: '60m'
# uu_timer_persistent: 'true'

# defaults files are /etc/apt/apt.conf.d/20auto-upgrades and
# /etc/apt/apt.conf.d/50unattended-upgrades. We "divert" them in parent
# directory /etc/apt/20auto-upgrades.diverted and
# /etc/apt/50unattended-upgrades.diverted to keep new upstream versions up to
# date during upgrades.

uu_auto_upgrade_config: '/etc/apt/apt.conf.d/20auto-upgrades'
uu_unattended_upgrades_config: '/etc/apt/apt.conf.d/50unattended-upgrades'

uu_update_package_list: '1'
# uu_download_upgradeable_packages: '1'
# uu_unattended_upgrade: '0'
uu_autocleaninterval: '7'

# Beware : some variables may be unsupported depending on unattended-upgrades
# package version. Check unattended-upgrades documentation for valid variables.

# origins pattern
# Refer to vars directory


# uu_package_blacklist:
#   - vim
#   - libc6
#   - libc6-dev
#   - libc6-i686

# These are the reported default values.
# uu_autofix_interrupted_dpkg: 'false'
# uu_minimal_steps: 'false'
# uu_install_on_shutdown: 'false'
# uu_mail: 'root'
# uu_mailonlyonerror: 'false' # This one is deprecated on bullseye
# uu_mailreport: ('always'|'only-on-error'|'on-change')
# uu_mailreport: 'on-change'
# uu_remove_unused_kernel_packages: 'true'
# uu_remove_unused_dependencies: 'false'
# uu_automatic_reboot: 'false'
# uu_automatic_reboot_withusers: 'false'
# uu_automatic_reboot_time: '02:00'
# uu_dl_limit: '70'
# uu_syslogenable: 'false'
# uu_syslogfacility: 'daemon'
# uu_onlyonacpower: 'true'
# uu_skip_updates_on_metered_connections: 'true'
# uu_verbose: 'false'
# uu_debug: 'false'



# Unattended-Upgrade::OnlyOnACPower
# Download and install upgrades only on AC power
# (i.e. skip or gracefully stop updates on battery)
uu_only_on_ac_power: false


# Cache update time for apt module
uu_cache_valid_time: 3600
